# Models

## The ReceiptRequest object

```json
{"openapi":"3.0.1","info":{"title":"Receipt Service","version":"2.0"},"components":{"schemas":{"ReceiptRequest":{"type":"object","properties":{"id":{"type":"string","description":"The unique transaction identifier for which the system sends the receipt."},"email-address":{"type":"string","description":"The customer's email address that receives the transaction receipt."}},"xml":{"name":"receipt-request"}}}}}
```

## The Error object

```json
{"openapi":"3.0.1","info":{"title":"Receipt Service","version":"2.0"},"components":{"schemas":{"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## The ErrorResult object

```json
{"openapi":"3.0.1","info":{"title":"Receipt Service","version":"2.0"},"components":{"schemas":{"ErrorResult":{"type":"object","properties":{"errorResults":{"type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error."},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC)."}}}}}}
```

## The ReceiptResponse object

```json
{"openapi":"3.0.1","info":{"title":"Receipt Service","version":"2.0"},"components":{"schemas":{"ReceiptResponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the requested transaction."},"email-address":{"type":"string","description":"Email address where the receipt to be sent."},"display-message":{"type":"string","description":"Message indicating the result of the receipt request."}},"xml":{"name":"receipt-response"}}}}}
```

## The ReceiptResponsePayload object

```json
{"openapi":"3.0.1","info":{"title":"Receipt Service","version":"2.0"},"components":{"schemas":{"ReceiptResponsePayload":{"type":"object","properties":{"receipt-response":{"$ref":"#/components/schemas/ReceiptResponse"},"payloadType":{"type":"string","description":"The type of payload returned with the response.","xml":{"name":"type","attribute":true}}},"xml":{"name":"payload"}},"ReceiptResponse":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the requested transaction."},"email-address":{"type":"string","description":"Email address where the receipt to be sent."},"display-message":{"type":"string","description":"Message indicating the result of the receipt request."}},"xml":{"name":"receipt-response"}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/payments/receipt-service/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
